# Solar System

## Description 

For my project I would like to create a drawing of the solar system that is 
to scale that includes the planets, the sun, and our moon that rotates for 
scale as well. I would like each planet to look like itself as well

## Planning

The different paths that the planets move in can be repeated since they travel 
on an ellipse.  A smaller milestone for this project would be to create the 
earth rotating around the sun with the moon rotating around the earth. 

## Feedback on proposal

This sounds like a fun, potentially quite ambitious project! Make sure that 
if you find it's harder than you expect, you set yourself reasonable expectations
(and get help from me if you need it!)

Depending on the level of mathematical sophistication you are planning to use, 
this may be a project where it will be important to write helper functions.
For example, it could be a good idea to write a re-usable function which moves the
turtle to the correct point on an ellipse. This would need to be parameterized 
with something like `go_to_planet_position(major_axis_length, minor_axis_length, theta)`
assuming the ellipse is centered at `(0, 0)` and its axes align with the
global x- and y-axes... otherwise you probably need more parameters. It's do-able, 
but if that feels like more challenge than you want, consider simpliying. How about 
working with circles instead? :) 

A few other notes:

- By default, turtle encourages you to use the turtle's reference frame (e.g. 
  forward, back, left, right) instead of a global coordinate system (x, y). 
  Think about which reference frame you want to use... as math gets fancier, 
  often the global coordinates start to be easier to work with. 
- You will definitely want to write your program in a way where you can test 
  out individual parts and make sure they work. The 
  [superturtle no_delay](https://superturtle.readthedocs.io/en/latest/movement.html#superturtle.movement.no_delay)
  function will be helpful, allowing you to instantly draw so that you can 
  more quickly see whether something is working. 

